MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024816Open CASCADE[OCCT] OCCT:Configurationpublic2014-04-10 09:402016-04-20 15:49
Reporterabv 
Assigned Toabv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0024816: Tool for upgrading OCCT and dependent code
DescriptionIn the frames of OCCT refactoring activity we expect to introduce some changes which will be not fully compatible with existing code of OCCT and dependent applications. Such dependent code will have to be upgraded to be used with OCCT 7.0. In order to facilitate this action we shall provide a script tool that can automate upgrade steps as possible.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0024750closedabv Replace instantiations of TCollection generic classes by NCollection templates 
related to 0024806closedbugmaster Extend macro DEFINE_STANDARD_RTTI by additional argument specifying base class 
related to 0024814closedabv Avoid using explicit names of Handle classes 
related to 0026529closedski CMake offers rebuilding of platform dependent code unclear for an user 
related to 0026602closedski Configuration, genproj.tcl - drop code generating Automake files 
child of 0024002closedabv Overall code and build procedure refactoring 

-  Notes
(0029558)
ski (developer)
2014-05-28 10:11

Functions replace_xx, check_headers, check_duplicates from file upgrade.tcl were updated.
(0030407)
git (administrator)
2014-07-24 12:08

Branch CR24816 has been updated by ski.

SHA-1: 4dd5af2bfe1d0b8f45c99904209a85f936b74d88
(0030737)
git (administrator)
2014-08-14 10:17

Branch CR24816 has been updated forcibly by abv.

SHA-1: 6e3a5426610bedd8727a72856ea2d6f593ad3a39
(0030861)
git (administrator)
2014-08-19 09:00

Branch CR24816 has been updated by abv.

SHA-1: 477537f7a6a00d981f9911464f14169763c3f9d8


      from 6e3a542 Some cosmetic changes. Command prepare_project was created.
       new 3b94bed Move removal of forward declarations of Handle classes to occt_upgrade_handle
       new a515988 0024816: Tool for upgrading OCCT and dependent code
       new cd5acd6 Include only Handle_*.hxx for Handle classes in NCollection instantiations, to avoid cyclic dependencies
       new ee2ff21 0024816: Tool for upgrading OCCT and dependent code
       new 477537f 0024816: Tool for upgrading OCCT and dependent code


Detailed log of new commits:

commit 477537f7a6a00d981f9911464f14169763c3f9d8
Author: abv
Date: Tue Aug 19 08:59:38 2014 +0400

    0024816: Tool for upgrading OCCT and dependent code
    
    Command to get rid of CDL and WOK included in common command occt_upgrade as option -nocdl.
    Description of upgrade included in OCCT Doxygen documentation.

commit ee2ff219a1a2e436563f7b9c3dfcb60b940de741
Author: abv
Date: Fri Aug 15 12:38:06 2014 +0400

    0024816: Tool for upgrading OCCT and dependent code
    
    Added option -compat allowing to reduce incompatibilities with older versions of OCCT when upgrading to OCCT 7.0.
    Upgrade process description improved

commit cd5acd68478d09119f54a05c4ecbe46721df2657
Author: abv
Date: Thu May 29 12:07:55 2014 +0400

    Include only Handle_*.hxx for Handle classes in NCollection instantiations, to avoid cyclic dependencies

commit a515988b13f66fefd1047ccaf116660220be6d66
Author: abv
Date: Wed May 28 12:56:51 2014 +0400

    0024816: Tool for upgrading OCCT and dependent code
    
    Conversion of TCollection classes: added headers for iterators by lists and maps; TCollection_MapHasher converted as NCollection_DefaultHasher
    Added handling of "private" keyword in class instantantiation declaration.
    Header files of classes converted to HXX (imported in CDL) are added to FILES.

commit 3b94bed121198e4a1be0370586269cede7979a63
Author: abv
Date: Thu Aug 14 13:24:42 2014 +0400

    Move removal of forward declarations of Handle classes to occt_upgrade_handle

(0034379)
git (administrator)
2014-11-12 18:57

Branch CR24816 has been updated by ski.

SHA-1: c1dec2a04914248d3054935a78fe746a3a635d16


Detailed log of new commits:

Author: ski
Date: Wed Nov 12 18:57:21 2014 +0300

    Small corrections of scripts _prepare_includes and _update_includes.

(0034406)
git (administrator)
2014-11-13 19:28

Branch CR24816 has been updated by ski.

SHA-1: b6e93f997e0f5da779de6d513baba681e9e5c86d


Detailed log of new commits:

Author: ski
Date: Thu Nov 13 19:29:28 2014 +0300

    occt_upgrade_rtti was modified for using with both CDL and noCDL versions.

(0034417)
git (administrator)
2014-11-14 11:13

Branch CR24816 has been updated by ski.

SHA-1: 490faa35b75d47a50143c2669a8cff1b4ce67b6c


Detailed log of new commits:

Author: ski
Date: Fri Nov 14 11:14:42 2014 +0300

    Removing wrong macros STANDARD_TYPE() for files moved from drv were added.

(0034558)
git (administrator)
2014-11-20 15:13

Branch CR24816 has been updated forcibly by ski.

SHA-1: eb29bad51ac3ef4dba5a93f3379b106a1c110a95
(0035759)
git (administrator)
2014-12-26 15:19

Branch CR24816 has been updated by ski.

SHA-1: df6274813156e4afcec679b5469cbcd452713e6d


Detailed log of new commits:

Author: ski
Date: Fri Dec 26 15:19:11 2014 +0300

    Small correction of script occt_upgrade_rtti

(0036151)
git (administrator)
2015-01-16 15:55

Branch CR24816 has been updated by ski.

SHA-1: dda46d43615270690e6382519fb2f71bec9ad038


Detailed log of new commits:

Author: ski
Date: Fri Jan 16 15:43:06 2015 +0300

    Tutorial for upgrade was supplemented.
    
    Order of used commands was changed in occt_upgrade_nocdl procedure
    to decrease the number of necessary steps

(0036437)
git (administrator)
2015-01-23 14:08

Branch CR24816 has been updated by ssv.

SHA-1: 8aa9fed3578945abdeab571e3b8cd481939b372f


Detailed log of new commits:

Author: ssv
Date: Fri Jan 23 14:07:54 2015 +0300

    1. Draft version of document "Getting Started with OCCT 7" added
    2. Logger for important user messages: -ui option
    3. Minor formatting issue: whitespace after comma in DEFINE_STANDARD_RTTI macro
    4. occt_upgrade now works with all recursively nested directories of src as well as with source files located directly in src
    5. occt_upgrade_rtti routine now may handle not only *.hxx/cxx but also *.h/c and *.hpp/cpp files
    6. occt_upgrade_rtti now converts the affected source files according to the desired format of line endings (unix or dos): -nlf_dos option
    7. new extract_package_names routine to extract OCCT package names to auxiliary file, e.g. upgrade_info.txt
    8. new public occt_upgrade_includes procedure to convert includes

(0041768)
git (administrator)
2015-06-01 07:04

Branch CR24816 has been updated by abv.

SHA-1: 376c7d68bfd30e1bf16fca494ce8bce13edf68c8


Detailed log of new commits:

Author: abv
Date: Mon Jun 1 06:38:52 2015 +0300

    Fix bugs introduced by last change in upgrade7.tcl
    Add some words on typical problem after upgrade with -rtti option.

(0041865)
abv (manager)
2015-06-02 18:52

Sergey, please complete upgrade script by currently missing functionality.

The fisrt points I have noticed are:

1. Script assumes that sources are in the folder "src"; this may be not the case for application code (example: OCCT samples). It is necessary to be able to specify arbitrary path to sources (and perhaps separately path to includes).

2. When TCollection classes are converted to NCollection, their forward declarations (like "class TColgp_Array1OfPnt;") become incorrect. To address this, we need to:
(a) be able to generate (or update) list of converted classes, stored in some file
(b) when updating application code, remove forward declarations of converted classes

3. Transient classes defined in TCollection had corresponding Handle() class defined in separate header (e.g. Handle_Tcolgp_HArray1OfPnt.hxx); these headers are included sometimes instead of complete header. Here, like with previous point, we need to have a list of such headers, and be able to apply relevant correction.
(0042091)
git (administrator)
2015-06-10 16:53

Branch CR24816 has been updated by ski.

SHA-1: 1a8a8a92425a2123e0fe4cc99e8dacd85d5bd77e


Detailed log of new commits:

Author: ski
Date: Wed Jun 10 16:53:13 2015 +0300

    Use of non-default directories for sources and includes was added.
    
    Commands '_update_forward_declarations' and '_update_transient_includes' were created.
    Files 'adm/TColConverted' and 'adm/TColTransient' were added.

(0042092)
ski (developer)
2015-06-10 16:54

It is possible now to specify non-default directories for sources and includes, for that options '-incdir path' and '-srcdir path' should be used:
e.g.:
occt_upgrade D:/dir -nocdl -incdir D:/dir/includes -srcdir D:/dir/sources
occt_upgrade D:/dir -rtti -incdir D:/dir/inc -srcdir D:/dir/sources
occt_upgrade D:/dir -rtti_nocdl -incdir D:/dir/inc -srcdir D:/dir/sources
occt_upgrade D:/dir -tcollection -incdir D:/dir/inc -srcdir D:/dir/sources

If any option (incdir or srcdir or both) is not defined, procedure will use default directories D:/dir/inc and D:/dir/src instead.

In directory OCCT/adm 2 new files were created:
• OCCT/adm/TColConverted - contains all classes converted from TCollection to NCollection
• OCCT/adm/TColTransient - contains all transient classes from TCollection

2 new commands were created:

• _update_forward_declarations $_src ${path}/adm/TColConverted
Updates forward declarations of converted TCollection classes to their includes.
where:
$_src is a source directory (e.g.: D:/occt/src)
${path}/adm/TColConverted is a full path to the list of converted TCollection classes (e.g.: D:/occt/adm/TColConverted)

• _update_transient_includes $_src ${path}/adm/TColTransient
Updates wrong includes for handles of transient classes to their complete header.
where:
$_src is a source directory (e.g.: D:/occt/src)
${path}/adm/TColTransient is a full path to the list of transient TCollection classes (e.g.: D:/occt/adm/TColTransient)

Also, order of procedures calls in procedure 'occt_upgrade_nocdl' was changed because call of 'occt_upgrade $path -rtti_nocdl -incdir $_inc -srcdir $_src' should be done after '_update_includes $_src $OCC_path'
Note that command 'occt_upgrade_nocdl' could be used with non-default source and include directories too, e.g.:
occt_upgrade_nocdl D:/occt "" D:/occt/includes D:/occt/sources
or
occt_upgrade_nocdl D:/prod D:/occt D:/prod/includes D:/prod/sources

Dear ABV,
please review.
(0042522)
abv (manager)
2015-06-29 10:25

One more remark: command occt_upgrade -nocdl should also remove all EDL files from src
(0042563)
abv (manager)
2015-06-29 17:34

One more remark: command occt_upgrade -nocdl should copy copyright header from original file (usually CDL) to generated HXX file, replacing WOK-generated header
(0042603)
git (administrator)
2015-06-30 16:24

Branch CR24816-2015 has been created by abv.

SHA-1: 76f198cb8b527facac054092cf7d2c793a71023f


Detailed log of new commits:

Author: abv
Date: Tue Jun 30 16:21:15 2015 +0300

    Command occt_upgrade -handle improved to remove typedefs using macro Handle() to generate new name, forward declarations of Handle() classes, and inclusion of header files starting with "Handle_"

Author: abv
Date: Tue Jun 30 16:17:27 2015 +0300

    Avoid adding package prefix to file name in #include statements in occt_updrade_nocdl command
(0042611)
git (administrator)
2015-06-30 18:28

Branch CR24816 has been updated forcibly by ski.

SHA-1: 5b0b34ece8a3ca9d1bf98f314c1787c0e262380d
(0042627)
git (administrator)
2015-07-01 11:29

Branch CR24816 has been updated forcibly by ski.

SHA-1: 0b4148cb583d47f5d1952a9e543acaa15783fe30
(0042637)
git (administrator)
2015-07-01 15:50

Branch CR24816 has been updated forcibly by ski.

SHA-1: 1987b0fed4e4fdeae44870e9ccbe1c472778aec8
(0042642)
git (administrator)
2015-07-01 17:43

Branch CR24816-2015 has been updated by abv.

SHA-1: 5d1d88cabee79cb3d2e12c6be7dda6ad66997472


Detailed log of new commits:

Author: abv
Date: Wed Jul 1 17:20:55 2015 +0300

    Added option -downcast to replace C-style casts by DownCast(); transfer of license statement from CDL to HXX corrected

(0042643)
git (administrator)
2015-07-01 17:43

Branch CR24816 has been updated by abv.

SHA-1: 5d1d88cabee79cb3d2e12c6be7dda6ad66997472


No new revisions were added by this update.

(0042644)
git (administrator)
2015-07-01 17:44

Branch CR24816 has been deleted by abv.

SHA-1: 5d1d88cabee79cb3d2e12c6be7dda6ad66997472
(0042692)
git (administrator)
2015-07-02 20:06

Branch CR24816-2015 has been updated by abv.

SHA-1: c5ea1e4e10c13527a14e80bd505f38598ab54e90


Detailed log of new commits:

Author: abv
Date: Thu Jul 2 20:04:26 2015 +0300

    occt_upgrade improved to handle more cases when C-style casts of handles can be converted to DownCast automatically

(0042741)
git (administrator)
2015-07-06 08:02

Branch CR24816 has been created by abv.

SHA-1: 3ea0c6f8b7d0b891af9070579276aeae016c7252


No new revisions were added by this update.
(0042793)
git (administrator)
2015-07-07 13:56

Branch CR24816 has been updated by abv.

SHA-1: 1b77a155f268b3a53eca2e528efb3136941bb226


Detailed log of new commits:

Author: abv
Date: Tue Jul 7 13:56:33 2015 +0300

    Add spaces around angle brackets of templates to avoid generation of << and >> in case of nested templates

(0042995)
abv (manager)
2015-07-14 11:50

Proposals to improve the upgrade.tcl scripb, by MZN, based on experience of porting SALOME GUI and GEOM:

1. Header file with *.h extension should be taken into account by the script.
2. The forward declaration of classes which have been replaced with typedef (such as TColStd_* collections) can be removed by the script. The corresponding header files with typedef should be included.
3. Forward declaration of Handle classes can be replaced with forward declaration of argument classes automatically by the script.
(0043178)
git (administrator)
2015-07-20 11:24

Branch CR24816_5 has been created by abv.

SHA-1: 2181b7e37d61fc6a7d627617f6a2f8d13d21b53b


Detailed log of new commits:

Author: abv
Date: Sat Jul 4 07:20:02 2015 +0300

    0024816: Tool for upgrading OCCT and dependent code
    
    A new script adm/upgrade.tcl defines a Tcl procedure occt_upgrade, to be used for upgrading code of OCCT and applications for changes introduced by OCCT 7.0.
    Details on upgrade procedure are put in dox/dev_guides/upgrade/upgrade.md.

Author: abv
Date: Fri Jul 17 19:20:06 2015 +0300

    0026457: Failed build with OCCT_DEBUG enabled
    
    Debug code enabled with OCCT_DEBUG macro corrected for compiling with new handles.
    
    QANCollection_Handle.cxx simplified so as to avoid need of using /bigobj option when building by Visual Studio; templates of project files, CMake projects, and test perf fclasses handle corrected accordingly.
    
    Script genproj corrected to recognize VTK and to build DRAWEXE as executable (rather than DLL).
(0043224)
git (administrator)
2015-07-21 14:35

Branch CR24816_6 has been created by nds.

SHA-1: 2350a5c506cb1b91b0450595510f1b332dabf6c6


Detailed log of new commits:

Author: nds
Date: Tue Jul 21 13:22:25 2015 +0300

    0024816: Tool for upgrading OCCT and dependent code
    
    It provides processing *.h files and directories without internal 'inc', 'src' subfolders.
(0043251)
git (administrator)
2015-07-22 07:08

Branch CR24816 has been deleted by abv.

SHA-1: 1b77a155f268b3a53eca2e528efb3136941bb226
(0043255)
git (administrator)
2015-07-22 07:30

Branch CR24816-2015 has been deleted by abv.

SHA-1: c5ea1e4e10c13527a14e80bd505f38598ab54e90
(0043292)
git (administrator)
2015-07-22 14:51

Branch CR24816_5_ibs has been created by ibs.

SHA-1: 66b93b561bab27a7af7489b79783f158b1a0e8e1


Detailed log of new commits:

Author: ibs
Date: Wed Jul 22 11:22:47 2015 +0300

    [TCL] forward declaration of TCollection classes is replaced with #include;
    
    -recursive flag added to occt_upgrade procedure
    the target path of occt_upgrade can be ether a file or directory
(0043319)
ibs (developer)
2015-07-22 17:14

dear abv,
do you mean that 3. Forward declaration of Handle classes can be replaced with _NOT forward declaration_ but including of the header of argument classes automatically by the script.
(0043320)
abv (manager)
2015-07-22 17:51

No, I mean the script should insert forward declaration of the argument class (provided that the same class is not yet forward-declared or included in the same header). There are several arguments for not trying to add include:

a) In most cases forward declaration is sufficient, while adding include you make compilation longer and have a chance to get cyclic dependency between headers

b) In order to include the appropriate header, you need to know for sure what header defines the class; despite of having a rule that header name must match class name, this is not always the case. At least, you must check that such header exists.
(0043331)
git (administrator)
2015-07-23 12:01

Branch CR24816_5_ibs has been updated by ibs.

SHA-1: c960b424d414d83d0fdf2b2042b15082ae419660


Detailed log of new commits:

Author: ibs
Date: Wed Jul 22 16:45:23 2015 +0300

    [TCL] srcext & incext arguments added to occt_upgrade

Author: ibs
Date: Wed Jul 22 16:32:15 2015 +0300

    [TCL] occt_upgrade -handle does not replace H_C with H(C) anymore; forward decl H_C replaced with #include<C.hxx>

Author: ibs
Date: Wed Jul 22 15:46:44 2015 +0300

    [TCL] redundant extract_package_names procedure removed

(0043363)
git (administrator)
2015-07-23 17:59

Branch CR24816_5_ibs has been updated by ibs.

SHA-1: 614b3e363b4bdbea9b8fba807763dc0d36fff1d0


Detailed log of new commits:

Author: ibs
Date: Wed Jul 22 17:09:26 2015 +0300

    [Tcl] argument names of occt_upgrade changed

(0043364)
git (administrator)
2015-07-23 18:01

Branch CR24816_5_ibs has been updated forcibly by ibs.

SHA-1: 0b3cf48d22d1226c5bbd1adfe3577453fdb6bbdf
(0043373)
git (administrator)
2015-07-24 08:51

Branch CR24816_6 has been updated by nds.

SHA-1: 81c3ad7bb5e34feae941e7aca39c91875ee9d17a


Detailed log of new commits:

Author: nds
Date: Fri Jul 24 08:51:05 2015 +0300

    Operator "<" should be redefined in handle class to use it in stl and qt containers.

(0043620)
git (administrator)
2015-07-28 12:06

Branch CR24816_5_ibs has been updated by ibs.

SHA-1: a86d051767426e44782207c213df70f62ff07f0a


Detailed log of new commits:

Author: ibs
Date: Mon Jul 27 12:20:06 2015 +0300

    "target", "gitsync" arguments added to occt_upgrade; main argument is "target"
    
    redundant argument "change_flag" removed from _apply_substitution
    git synchronization is optional (gitsync arg)
    _open_file procedure trims (at right) each line

(0043709)
git (administrator)
2015-07-30 17:55

Branch CR24816_5_ibs has been updated by ibs.

SHA-1: aae1d1f4d7d5c6779ae8f449b94092c13b389e87


Detailed log of new commits:

Author: ibs
Date: Thu Jul 30 17:54:55 2015 +0300

    draft help of occt_upgrade added; the occt_upgrade arguments and methods renamed in connection with common sense

(0043744)
git (administrator)
2015-07-31 13:02

Branch CR24816_5_ibs has been updated forcibly by ibs.

SHA-1: 62ef4453b3341178f070cfa1da2b3b01c1ef6b2c
(0043745)
git (administrator)
2015-07-31 13:05

Branch CR24816_5_ibs has been updated forcibly by ibs.

SHA-1: 33bb201a1f2d1a22135b5fb571a3cdd36203fa20
(0043765)
git (administrator)
2015-07-31 17:21

Branch CR24816_5_ibs has been updated by ibs.

SHA-1: d786edcdc2fd9d06111c568df6e2453e4a9ce761


Detailed log of new commits:

Author: ibs
Date: Fri Jul 31 16:34:03 2015 +0300

    global variables collected into global associative array

Author: ibs
Date: Fri Jul 31 15:21:05 2015 +0300

    -handle option of occt_upgrade: fwd handle_(A)* replaced with #include<a.hxx>

(0043855)
git (administrator)
2015-08-05 16:17

Branch CR24816_5_ibs has been updated by ibs.

SHA-1: 20c4e5c6b1859cf3c1fe15bf33f177b58d7f27e4


Detailed log of new commits:

Author: ibs
Date: Wed Aug 5 16:15:10 2015 +0300

    fwd of handle is replaced now with including an appropriate handle class

Author: ibs
Date: Wed Aug 5 15:45:45 2015 +0300

    "rtti" functionality does not check STANDARD_TYPE's class for existence in $incdir/class_name.hxx

Author: ibs
Date: Wed Aug 5 15:40:19 2015 +0300

    "include" and "RttiNoCDL" arguments and relating functionality removed

(0043858)
git (administrator)
2015-08-05 16:34

Branch CR24816_5_ibs has been updated by ibs.

SHA-1: 22377744dfeb1bdb793d47ce119b49b531f61724


Detailed log of new commits:

Author: ibs
Date: Wed Aug 5 16:30:35 2015 +0300

    revert deleted "git rm" command in RemoveFiles method

(0043893)
git (administrator)
2015-08-06 17:27

Branch CR24816_5_ibs has been updated by ibs.

SHA-1: 651c9626c668f811aeb2ddc7e13d6cff1ea2cb2e


Detailed log of new commits:

Author: ibs
Date: Thu Aug 6 09:46:20 2015 +0300

    "target" argument replaced with "src" one

(0043931)
git (administrator)
2015-08-10 10:55

Branch CR24816_5 has been updated by ibs.

SHA-1: 4f1509e5fb79c25af500b66c9d643f83cb71de1f


Detailed log of new commits:

Author: ibs
Date: Wed Jul 22 11:22:47 2015 +0300

    0024816: Tool for upgrading OCCT and dependent code
    
    occt_upgrade has new argumens:
      -src - the path to sources to upgrade
      -recursive - process all subfolders of '-src' also
      -rtti - convert OCCT RTTI mechanism
      -rtti_nocdl - convert OCCT RTTI mechanism with using OCCT sources without CDLs already
      -tcollection - replace all TCollection instances with NCollection templates
      -fwd[=tcollection][,handle] - replace forward decl of Handle or/and TCollection with direct including required headers.
                               This option can be used without additional arguments: -fwd (all possible replacement will be done in this case)
      -handlecast - replace c-style cast of Handle with DownCast: (Handle(A)&)B) -> Handle(A)::DownCast(B)
      -mutable - remove mutable keywork from CDL declaration
      -complete - includes rtti, tcollection, handle, handlecast and mutable option
      -compatible - maintain compatability with OCCT 6.9.0. It is used by RTTI conversion process (RTTI) option)
      -occt - the path to OCCT. It is used to specify inc,drv and src folders without using previous three options
      -incext - extensions of processed header files
      -srcext - extensions of processed source files
      -check - perform check only
      -wlog - show gui log of upgrade process
      -newline[=dos|unix] - the format of new line: dos or unix. It is used by RTTI conversion process (RTTI) option)
      -gitsync - sync changes with git (add and remove new files)
    
    options for OCCT upgrade only:
      -cdl - relocate derived CDL headers and sources, remove CDLs
    
    * fwd of handle is replaced now with including an appropriate handle class
    * temporary: "rtti" functionality does not check STANDARD_TYPE's class for existence in $incdir/class_name.hxx
    * (-handle of occt_upgrade):
       1. fwd handle_(A)* replaced with #include<a.hxx>
       2. does not replace H_C with H(C) anymore
    * a help message of occt_upgrade added (it is shown at the top of this message)
    * redundant argument "change_flag" removed from _apply_substitution
    * (!): _open_file procedure trims (at right) each line
    * (-fwd=tcollection): forward declaration of TCollection classes is replaced with #include;
    * redundant extract_package_names procedure removed

(0043942)
git (administrator)
2015-08-10 14:55

Branch CR24816_5 has been updated forcibly by ibs.

SHA-1: 85f465db6b9b4a761cb93c436f7f554a6b1ecddd
(0043987)
git (administrator)
2015-08-11 17:39

Branch CR24816_7 has been created by abv.

SHA-1: 826989dce53525fb83edbd359bec0177a663c66c


Detailed log of new commits:

Author: ibs
Date: Wed Jul 22 11:22:47 2015 +0300

    0024816: Tool for upgrading OCCT and dependent code
    
    occt_upgrade has new argumens:
      -src - the path to sources to upgrade
      -inc - the path to headers that will be used by "rtti" process
      -recursive - process all subfolders of '-src' also
      -rtti - convert OCCT RTTI mechanism
      -rtti_nocdl - convert OCCT RTTI mechanism with using OCCT sources without CDLs already
      -tcollection - replace all TCollection instances with NCollection templates
      -fwd[=tcollection][,handle] - replace forward decl of Handle or/and TCollection with direct including required headers.
                               This option can be used without additional arguments: -fwd (all possible replacement will be done in this case)
      -handlecast - replace c-style cast of Handle with DownCast: (Handle(A)&)B) -> Handle(A)::DownCast(B)
      -mutable - remove mutable keywork from CDL declaration
      -complete - includes rtti, tcollection, handle, handlecast and mutable option
      -compatible - maintain compatability with OCCT 6.9.0. It is used by RTTI conversion process (RTTI) option)
      -occt - the path to OCCT. It is used to specify inc,drv and src folders without using previous three options
      -incext - extensions of processed header files
      -srcext - extensions of processed source files
      -check - perform check only
      -wlog - show gui log of upgrade process
      -newline[=dos|unix] - the format of new line: dos or unix. It is used by RTTI conversion process (RTTI) option)
      -gitsync - sync changes with git (add and remove new files)
    
    options for OCCT upgrade only:
      -cdl - relocate derived CDL headers and sources, remove CDLs
    
    * fwd of handle is replaced now with including an appropriate handle class
    * (-handle of occt_upgrade):
       1. fwd handle_(A)* replaced with #include<a.hxx>
       2. does not replace H_C with H(C) anymore
    * a help message of occt_upgrade added (it is shown at the top of this message)
    * redundant argument "change_flag" removed from _apply_substitution
    * (!): _open_file procedure trims (at right) each line
    * (-fwd=tcollection): forward declaration of TCollection classes is replaced with #include;
    * redundant extract_package_names procedure removed

Author: abv
Date: Sat Jul 4 07:20:02 2015 +0300

    0024816: Tool for upgrading OCCT and dependent code
    
    A new script adm/upgrade.tcl defines a Tcl procedure occt_upgrade, to be used for upgrading code of OCCT and applications for changes introduced by OCCT 7.0.
    Details on upgrade procedure are put in dox/dev_guides/upgrade/upgrade.md.

Author: nds
Date: Fri Jul 24 08:51:05 2015 +0300

    Operator "<" should be redefined in handle class to use it in stl and qt containers.
(0043993)
git (administrator)
2015-08-11 17:53

Branch CR24816_7 has been updated by abv.

SHA-1: 7e586ab639ab434ce1b597c410035fe4bba8432f


Detailed log of new commits:

Author: abv
Date: Tue Aug 11 17:53:40 2015 +0300

    Added test for local reference to handle initialized by temporary handle to derived class.
    Forward declaration or argument class restored in macro DEFINE_STANDARD_HANDLE

(0044031)
git (administrator)
2015-08-12 14:54

Branch CR24816_7 has been updated by ibs.

SHA-1: ce8ebd0668531a3a45fe81e9b2a5e7aae8d9915a


Detailed log of new commits:

Author: ibs
Date: Tue Aug 11 18:44:47 2015 +0300

    args.tcl swallowed by upgrade.tcl; upgrade.ini introduced and contains all storing information of the upgrade process

(0044039)
git (administrator)
2015-08-12 16:19

Branch CR24816_7 has been updated forcibly by ibs.

SHA-1: 547cf141ab4246aa3711fe259ac9c0b169b51262
(0044046)
git (administrator)
2015-08-12 17:06

Branch CR24816_7 has been updated by ibs.

SHA-1: 9ea0122c98988551a48db7b54a10fcf808d9a80f


Detailed log of new commits:

Author: ibs
Date: Wed Aug 12 16:20:01 2015 +0300

    default header (h,hpp,hxx,gxx,lxx) and source(c,cpp,cxx) extension changed
    
    "inc" dir (containing header files) is "src" one by-default
    a misprint fixed in IsIniExist method
    the list of tcollection classes for fwd extended

(0044047)
git (administrator)
2015-08-12 17:33

Branch CR24816_7 has been updated by ibs.

SHA-1: 82a588428d4118580895cfd4274348064616bfbe


Detailed log of new commits:

Author: ibs
Date: Wed Aug 12 17:30:06 2015 +0300

    "rtti" process seeks a required header (by STANDARD_TYPE or DownCast) in two places: include folder (inc argument) and current one
    
    "complete" argument of occt_upgrade includes rtti, tcollection, fwd and handlecast ones

(0044053)
git (administrator)
2015-08-12 18:00

Branch CR24816_7 has been updated by ibs.

SHA-1: 1dfd7bb1b2cb9b88a183a02d1c0635875a3f6942


Detailed log of new commits:

Author: ibs
Date: Wed Aug 12 17:59:57 2015 +0300

    "fwd=handle" argument (replace fwd of Handle(class) with #include<class.hxx>) seeks included files in include dir (inc argument) and current directory

(0044054)
git (administrator)
2015-08-12 18:10

Branch CR24816_7 has been updated forcibly by ibs.

SHA-1: 4a25fed962d9c0d972290135c9df6b0237db09db
(0044055)
git (administrator)
2015-08-12 19:10

Branch CR24816_7 has been updated by abv.

SHA-1: 003addff77f39bc9090fcede1e2d29db50518142


Detailed log of new commits:

Author: abv
Date: Wed Aug 12 19:09:25 2015 +0300

    Added conversion operator of handle to bool, for use in conditional expressions

Author: abv
Date: Wed Aug 12 13:36:52 2015 +0300

    Added tool to remove forward declaration of class before DEFINE_STANDARD_HANDLE (inactive); command options printed on load

(0044056)
git (administrator)
2015-08-12 19:23

Branch CR24816_7 has been updated by ibs.

SHA-1: 2f22ef6c48660f73e7069e18718a67766b5bb738


Detailed log of new commits:

Author: ibs
Date: Wed Aug 12 19:19:22 2015 +0300

    During "rtti" and "fwd=handle" processes, any included header is sought in all src subdirs and inc directory for existence

(0044060)
git (administrator)
2015-08-13 07:43

Branch CR24816_7 has been updated by abv.

SHA-1: 16b9e0de982182dd36cc08755d1d7ba196fe7814


Detailed log of new commits:

Author: abv
Date: Wed Aug 12 20:14:46 2015 +0300

    Minor corrections in upgrade doc

(0044070)
git (administrator)
2015-08-13 12:04

Branch CR24816_7 has been updated by ibs.

SHA-1: 178aecbebbaf52882219d08e04be2efc9f547c50


Detailed log of new commits:

Author: ibs
Date: Tue Aug 11 10:36:08 2015 +0300

    0026543: genproj script parses CSF_VTK incorrectly
    
    the name of associative array at osutils:csfList method fixed

(0044084)
git (administrator)
2015-08-13 14:37

Branch CR24816_7 has been updated by ibs.

SHA-1: e701555a76c2e289046bb99e87601e2807ce248c


Detailed log of new commits:

Author: ibs
Date: Thu Aug 13 14:20:36 2015 +0300

    "h" help argument added to occt_upgrade procedure; "migration to OCCT 7.0 libraries" article updated

(0044087)
git (administrator)
2015-08-13 15:11

Branch CR24816_7 has been updated by ibs.

SHA-1: ed5574962c3c108eacf9725e2265bfc579da209b


Detailed log of new commits:

Author: ibs
Date: Thu Aug 13 15:11:15 2015 +0300

    occt_upgrade procedure split into two parts: upgrade and wok_upgrade
    
    wok_upgrade includes "cdl" and "mutable" old argument. It is intended to upgrade .cdl containing sources
    upgrade includes all the others arguments. It is intended to upgrade projects that use OCCT libraries

(0044099)
git (administrator)
2015-08-13 16:27

Branch CR24816_7 has been updated by ibs.

SHA-1: 2757ee553750bb32c3a6bfbabc41c6c8a398a551


Detailed log of new commits:

Author: ibs
Date: Thu Aug 13 16:26:51 2015 +0300

    "tcollection" argument moved to wok_upgrade procedure;
    
    upgrade and wok_upgrade procedures can process multiple arguments: -src=d:/occt1 -src=d:/ooct2 e.t.c.

(0044107)
git (administrator)
2015-08-13 19:45

Branch CR24816_7 has been updated by abv.

SHA-1: 9d112ab1d4a5f6e77323dab2b54b53723ab0f68a


Detailed log of new commits:

Author: abv
Date: Thu Aug 13 18:12:28 2015 +0300

    Added upgrade.bat; copyright statements made in Tcl scripts; start.tcl is used to start procedures defined in genproj.tcl and upgrade.tcl; upgrade documentation moved to dev guide; fixes and minor improvements in upgrade.tcl

(0044310)
git (administrator)
2015-08-14 14:32

Branch CR24816_7_ibs has been created by ibs.

SHA-1: 0a920e6b1dc296a358214ff384f82c1d0e8bde84


Detailed log of new commits:

Author: ibs
Date: Thu Aug 13 18:05:20 2015 +0300

    "newline" argument removed; upgrade.ini renamed in upgrade.dat
    
    each SaveListToFile method uses EOL that is got from ReadFileToList, relative procedures and variables renamed
(0044317)
git (administrator)
2015-08-14 16:03

Branch CR24816_7_ibs has been updated by ibs.

SHA-1: 75de568b64dde0cf4c16340d1e5e87fe5532f95f


Detailed log of new commits:

Author: ibs
Date: Fri Aug 14 15:24:05 2015 +0300

    the content of read file with ReadFileToList method has unix eol

(0044318)
git (administrator)
2015-08-14 17:31

Branch CR24816_7_ibs has been updated by ibs.

SHA-1: 4fed827f87c7a56d719fb0c4df2dc2e138bf6d7e


Detailed log of new commits:

Author: ibs
Date: Fri Aug 14 17:25:08 2015 +0300

    wok_upgrade and upgrade split

(0044319)
git (administrator)
2015-08-14 17:34

Branch CR24816_7_ibs has been updated by ibs.

SHA-1: 6d884427115b613559457fedc270c6546de4b7e9


Detailed log of new commits:

Author: ibs
Date: Fri Aug 14 17:34:28 2015 +0300

    wok_upgrade removed

(0044320)
git (administrator)
2015-08-14 17:48

Branch CR24816_7_ibs has been updated forcibly by ibs.

SHA-1: 6fd2955ab3883c3a0858bf5fa9c337501f02c747
(0044324)
git (administrator)
2015-08-14 17:54

Branch CR24816_7 has been updated by abv.

SHA-1: f8474c76654b8d03e413b59a88c6db2720646707


Detailed log of new commits:

Author: abv
Date: Fri Aug 14 17:54:28 2015 +0300

    Corrections in upgrade procedure, Standard.hxx, and upgrade doc, based on porting SALOME GUI

(0044325)
git (administrator)
2015-08-14 18:23

Branch CR24816_7 has been updated by ibs.

SHA-1: 81f040908d6d5a7873053fbbd1bdccd3f5b3de5b


Detailed log of new commits:

Author: ibs
Date: Thu Aug 13 18:05:20 2015 +0300

    wok_upgrade functionality removed from upgrade.tcl
    
    the content of read file with ReadFileToList method has unix eol
    "newline" argument removed; upgrade.ini renamed in upgrade.dat
    each SaveListToFile method uses EOL that is got from ReadFileToList, relative procedures and variables renamed

(0044327)
git (administrator)
2015-08-14 20:15

Branch CR24816_7 has been updated by abv.

SHA-1: 289a6bd8a2bc55fa8be037166a436acb5525afab


Detailed log of new commits:

Author: abv
Date: Fri Aug 14 20:15:37 2015 +0300

    WOK and CDL User Guides removed

Author: abv
Date: Fri Aug 14 19:32:28 2015 +0300

    Added treatment of scoped handle; upgrade doc update; added missing includes in Approx

(0044329)
git (administrator)
2015-08-14 23:50

Branch CR24816_7_ibs has been deleted by ibs.

SHA-1: 6fd2955ab3883c3a0858bf5fa9c337501f02c747
(0044336)
git (administrator)
2015-08-17 11:11

Branch CR24816_7 has been updated by ibs.

SHA-1: 9b9cb93662256f636af7f219352d59143e8a787b


Detailed log of new commits:

Author: ibs
Date: Mon Aug 17 11:03:05 2015 +0300

    the upgrade procedure considers the absent of "agent" (rtti, fwd and handlecast) arguments as "all" one

(0044337)
git (administrator)
2015-08-17 11:14

Branch CR24816_7 has been updated by ibs.

SHA-1: 8a2118c1f0c378c7176c2c08b514c40594a0672a


Detailed log of new commits:

Author: ibs
Date: Mon Aug 17 11:14:13 2015 +0300

    redundant check for cdl existence removed from "rtti" convert process

(0044339)
git (administrator)
2015-08-17 12:36

Branch CR24816_7 has been updated by ibs.

SHA-1: 89148bce6725d004edc0edf1d2c22ee1787d8434


Detailed log of new commits:

Author: ibs
Date: Mon Aug 17 12:36:22 2015 +0300

    "log" argument added to upgrade procedure to store the process output into a file

(0044348)
git (administrator)
2015-08-17 16:41

Branch CR24816_8 has been created by abv.

SHA-1: 84f2b0447bcef18ea7874cdb7cf9655e49f81c25


Detailed log of new commits:

Author: abv
Date: Mon Aug 17 09:01:46 2015 +0300

    0024816: Tool for upgrading OCCT and dependent code
    
    A new script adm/upgrade.tcl defines a Tcl procedure occt_upgrade, to be used for upgrading code of OCCT and applications for changes introduced by OCCT 7.0.
    Details on upgrade procedure are put in dox/dev_guides/upgrade/upgrade.md.
    
    Added conversion operator of handle to bool, for use in conditional expressions.
    Added test for local reference to handle initialized by temporary handle to derived class.
    Forward declaration or argument class restored in macro DEFINE_STANDARD_HANDLE.
    
    upgrade.dat contains all storing information of the upgrade process
    
    WOK and CDL User Guides removed

Author: kgv
Date: Thu Aug 13 07:23:54 2015 +0300

    0026546: Configuration, genproj.tcl - add support for VS2015 in project file generator
    
    Use vc10 templates for vc10, vc11, vc12, vc14.

Author: abv
Date: Mon Jul 6 20:30:38 2015 +0300

    0026403: Lack of Standard_EXPORT keyword in SelectMgr headers
    
    Some Standard_EXPORT keywords added to be able to link with TKV3d
(0044353)
git (administrator)
2015-08-17 17:20

Branch CR24816_7 has been updated by ibs.

SHA-1: a0b73f83d3b4b8738a2c9ecd679918ec4d4d3e84


Detailed log of new commits:

Author: ibs
Date: Mon Aug 17 17:19:34 2015 +0300

    "replace" argument added to upgrade procedure
    
    it gets all class name bindings (old name - new name) from upgrade.dat and replace old version with new ones

(0044357)
git (administrator)
2015-08-17 17:57

Branch CR24816_8 has been updated by ibs.

SHA-1: f24e88cb9817184ffb90852f584166823e73af05


Detailed log of new commits:

Author: ibs
Date: Mon Aug 17 11:03:05 2015 +0300

    0024816: Tool for upgrading OCCT and dependent code
    
    * "log" argument added to upgrade procedure to store the process output into a file
    * the upgrade procedure considers the absent of "agent" (rtti, fwd and handlecast) arguments as "all" one
    * "replace" argument added to upgrade procedure: it gets all class name bindings (old name - new name) from upgrade.dat and replace old version with new ones
    * "fwd=handle" argument replaced with "handle" one; "fwd=tcollection" argument replaced with "tcollection" one
    * redundant check for cdl existence removed from "rtti" convert process

(0044370)
git (administrator)
2015-08-18 10:22

Branch CR24816_8 has been updated by abv.

SHA-1: 72e4d3f06f8338e76bee3226b54b9b0fe9b5b109


Detailed log of new commits:

Author: abv
Date: Tue Aug 18 10:09:28 2015 +0300

    Includes and type cast operators added in GC classes to reduce porting issues.

(0044372)
git (administrator)
2015-08-18 10:52

Branch CR24816_8 has been updated by ibs.

SHA-1: c663010bb0430186e72e4e4d36382bc5659a0d18


Detailed log of new commits:

Author: ibs
Date: Mon Aug 17 11:03:05 2015 +0300

    0024816: Tool for upgrading OCCT and dependent code
    
    * "log" argument added to upgrade procedure to store the process output into a file
    * the upgrade procedure considers the absent of "agent" (rtti, fwd and handlecast) arguments as "all" one
    * "rename" argument added to upgrade procedure: it gets all class name bindings (old name - new name) from upgrade.dat and rename old version with new ones
    * "fwd=handle" argument replaced with "handle" one; "fwd=tcollection" argument replaced with "tcollection" one
    * redundant check for cdl existence removed from "rtti" convert process

(0044375)
git (administrator)
2015-08-18 12:35

Branch CR24816_8 has been updated forcibly by abv.

SHA-1: 315efae64bfcd2090dba97d80c3a2e810a3d14fb
(0044380)
git (administrator)
2015-08-18 15:01

Branch CR24816_8 has been updated forcibly by abv.

SHA-1: bb87446483c8f41c21252f020c3b56c580ef4d6d
(0044381)
abv (manager)
2015-08-18 15:20

Commands for upgrading WOK and CDL-based code are put to WOK Git repo, branch CR0_700_2, in src\WOKTclLib\occt_upgrade.tcl. This is exactly version used to convert OCCT code.

Branch CR24816_8 contains upgrade script intended for upgrading projects depending on OCCT. See documentation in dox/dev_guides/upgrade/upgrade.md.
(0044385)
abv (manager)
2015-08-18 17:59

Ready for testing, please test
(0044400)
mkv (tester)
2015-08-18 21:14

Dear BugMaster,
Branch CR24816_8 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.

There are following compilation errors:
Linux:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR24816-8-master/job/CR24816-8-master_build_occt_linux/1/parsed_console/ [^]
../../../../inc/Standard_Handle.hxx:263:15: error: invalid use of incomplete type 'class Standard_Transient'
...
../../../../inc/Standard.hxx:29:7: error: forward declaration of 'class Standard_Transient'
...

MacOS:
http://jenkins-test-01.nnov.opencascade.com:8080/view/CR24816-8-master/job/CR24816-8-master_prepare_build_occt_MacOS/1/parsed_console/ [^]
/Users/mnt/tools/WOK680/wok_entities/LOC/dev/CR24816-8-master-occt/src/Standard/Standard_Handle.hxx:263:15: error: member access into incomplete type 'Standard_Transient'
(0044405)
git (administrator)
2015-08-19 09:25

Branch CR24816_8 has been updated by abv.

SHA-1: 86886dfde6f80403e1cee4165081a49fec902f29


Detailed log of new commits:

Author: abv
Date: Wed Aug 19 09:25:31 2015 +0300

    Fix for building with GCC and CLang

(0044406)
abv (manager)
2015-08-19 09:26

Proposed fix pushed to CR24816_8, please check whether it builds on Linux and Mac OSX
(0044446)
mkv (tester)
2015-08-19 18:42

Dear BugMaster,
Branch CR24816_8 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 86886dfde6f80403e1cee4165081a49fec902f29

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
http://occt-tests/CR24816-8-master-occt-64/Debian70-64/perf/fclasses/handle.html [^]
http://occt-tests/CR24816-8-master-occt-64/Windows-64-VC10/perf/fclasses/handle.html [^]
perf fclasses handle: FAILED

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91631422 / 90752693 [+0.97%]
Total CPU difference: 17852.359999999175 / 17772.269999998964 [+0.45%]
products component :
Total MEMORY difference: 24854248 / 24829404 [+0.10%]
Total CPU difference: 6978.439999999988 / 6872.7100000000155 [+1.54%]

Testing on Windows:
occt component :
Total MEMORY difference: 56875651 / 56854865 [+0.04%]
Total CPU difference: 16634.807832699073 / 16435.7193564993 [+1.21%]
products component :
Total MEMORY difference: 16023470 / 16017814 [+0.04%]
Total CPU difference: 5249.4492500999595 / 5265.439352599951 [-0.30%]

There are no differences in images found by testdiff.
(0044447)
git (administrator)
2015-08-19 19:03

Branch CR24816_8 has been updated forcibly by abv.

SHA-1: d1a67b9d1bc6867be5da1209050d3932f307a184
(0044448)
abv (manager)
2015-08-19 19:04

I have corrected test perf fclasses handle to report as BAD; fix pushed (forced and squashed) to the same branch CR24816_8; please consider as tested.
(0047112)
git (administrator)
2015-10-16 17:01

Branch CR24816_5 has been deleted by kgv.

SHA-1: 85f465db6b9b4a761cb93c436f7f554a6b1ecddd
(0047113)
git (administrator)
2015-10-16 17:01

Branch CR24816_5_ibs has been deleted by kgv.

SHA-1: 651c9626c668f811aeb2ddc7e13d6cff1ea2cb2e
(0047114)
git (administrator)
2015-10-16 17:01

Branch CR24816_6 has been deleted by kgv.

SHA-1: 81c3ad7bb5e34feae941e7aca39c91875ee9d17a
(0047115)
git (administrator)
2015-10-16 17:01

Branch CR24816_7 has been deleted by kgv.

SHA-1: a0b73f83d3b4b8738a2c9ecd679918ec4d4d3e84
(0047116)
git (administrator)
2015-10-16 17:01

Branch CR24816_8 has been deleted by kgv.

SHA-1: d1a67b9d1bc6867be5da1209050d3932f307a184

- Related Changesets
occt: master d1a67b9d
Timestamp: 2015-08-19 15:51:52
Author: abv
Committer: abv
Details ] Diff ]
0024816: Tool for upgrading OCCT and dependent code

A new script adm/upgrade.tcl defines a Tcl procedure occt_upgrade, to be used for upgrading code of OCCT and applications for changes introduced by OCCT 7.0.
Batch script upgrade.bat is provided for convenience.
File upgrade.dat contains data (lists of classes) required for some upgrade steps.
Details on upgrade procedure are put in dox/dev_guides/upgrade/upgrade.md.

OCCT code corrected to improve compatibility with code based on previous versions of OCCT:
- Added conversion operator of handle to bool, for use in conditional expressions.
- Forward declaration of argument class restored in macro DEFINE_STANDARD_HANDLE.
- Includes of used classes added in some headers to avoid problem of missing includes in dependent code
- Type cast operators to base curve and surface added in GC and GCE2d classes to reduce porting issues.

Added test for local reference to handle initialized by temporary handle to derived class.

WOK and CDL User Guides removed.
mod - .gitattributes Diff ] File ]
mod - .gitignore Diff ] File ]
mod - adm/genconf.tcl Diff ] File ]
mod - adm/genconfdeps.tcl Diff ] File ]
mod - adm/gendoc.tcl Diff ] File ]
mod - adm/genproj.tcl Diff ] File ]
mod - adm/occaux.tcl Diff ] File ]
mod - adm/start.tcl Diff ] File ]
add - adm/upgrade.dat Diff ] File ]
add - adm/upgrade.tcl Diff ] File ]
rm - dox/dev_guides/cdl/cdl.md Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image003.png Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image004.png Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image005.png Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image006.png Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image007.png Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image008.png Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image009.png Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image010.png Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image011.png Diff ] File ]
rm - dox/dev_guides/cdl/images/cdl_image012.png Diff ] File ]
mod - dox/dev_guides/dev_guides.md Diff ] File ]
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image005.jpg Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image005.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image006.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image007.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image008.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image009.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image010.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image011.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image012.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image013.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image014.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image015.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image016.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image017.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image018.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image019.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image020.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image021.png Diff ] File ]
rm - dox/dev_guides/wok/images/wok_image022.png Diff ] File ]
rm - dox/dev_guides/wok/wok.md Diff ] File ]
mod - dox/FILES_HTML.txt Diff ] File ]
mod - dox/FILES_PDF.txt Diff ] File ]
mod - gendoc.bat Diff ] File ]
mod - genproj.bat Diff ] File ]
mod - src/Adaptor2d/Adaptor2d_HCurve2d.hxx Diff ] File ]
mod - src/Approx/Approx_Curve2d.hxx Diff ] File ]
mod - src/Approx/Approx_Curve3d.hxx Diff ] File ]
mod - src/BRep/BRep_Tool.hxx Diff ] File ]
mod - src/GC/GC_MakeArcOfCircle.hxx Diff ] File ]
mod - src/GC/GC_MakeArcOfEllipse.hxx Diff ] File ]
mod - src/GC/GC_MakeArcOfHyperbola.hxx Diff ] File ]
mod - src/GC/GC_MakeArcOfParabola.hxx Diff ] File ]
mod - src/GC/GC_MakeCircle.hxx Diff ] File ]
mod - src/GC/GC_MakeConicalSurface.hxx Diff ] File ]
mod - src/GC/GC_MakeCylindricalSurface.hxx Diff ] File ]
mod - src/GC/GC_MakeEllipse.hxx Diff ] File ]
mod - src/GC/GC_MakeHyperbola.hxx Diff ] File ]
mod - src/GC/GC_MakeLine.hxx Diff ] File ]
mod - src/GC/GC_MakePlane.hxx Diff ] File ]
mod - src/GC/GC_MakeSegment.hxx Diff ] File ]
mod - src/GC/GC_MakeTrimmedCone.hxx Diff ] File ]
mod - src/GC/GC_MakeTrimmedCylinder.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfCircle.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfEllipse.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfHyperbola.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeArcOfParabola.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeCircle.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeEllipse.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeHyperbola.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeLine.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeParabola.hxx Diff ] File ]
mod - src/GCE2d/GCE2d_MakeSegment.hxx Diff ] File ]
mod - src/Geom2dHatch/Geom2dHatch_Hatcher.hxx Diff ] File ]
mod - src/GeomAPI/GeomAPI_Interpolate.hxx Diff ] File ]
mod - src/IGESData/IGESData_IGESWriter.hxx Diff ] File ]
mod - src/QANCollection/QANCollection_Handle.cxx Diff ] File ]
mod - src/ShapeFix/ShapeFix_Shell.hxx Diff ] File ]
mod - src/Standard/Standard.hxx Diff ] File ]
mod - src/Standard/Standard_Handle.hxx Diff ] File ]
mod - tests/perf/fclasses/handle Diff ] File ]
add - upgrade.bat Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-04-10 09:40 abv New Issue
2014-04-10 09:40 abv Assigned To => bugmaster
2014-04-10 09:40 abv Relationship added child of 0024002
2014-04-10 09:52 abv Relationship added related to 0024750
2014-04-10 09:52 abv Relationship added related to 0024806
2014-04-10 09:53 abv Relationship added related to 0024814
2014-04-16 14:02 abv Assigned To bugmaster => abv
2014-04-16 14:02 abv Status new => assigned
2014-05-28 10:11 ski Note Added: 0029558
2014-07-24 12:08 git Note Added: 0030407
2014-08-14 10:17 git Note Added: 0030737
2014-08-19 09:00 git Note Added: 0030861
2014-11-12 18:57 git Note Added: 0034379
2014-11-13 19:28 git Note Added: 0034406
2014-11-14 11:13 git Note Added: 0034417
2014-11-20 15:13 git Note Added: 0034558
2014-12-26 15:19 git Note Added: 0035759
2015-01-16 15:55 git Note Added: 0036151
2015-01-23 14:08 git Note Added: 0036437
2015-06-01 07:04 git Note Added: 0041768
2015-06-02 18:31 abv Assigned To abv => ski
2015-06-02 18:52 abv Note Added: 0041865
2015-06-10 16:53 git Note Added: 0042091
2015-06-10 16:54 ski Note Added: 0042092
2015-06-10 16:54 ski Assigned To ski => abv
2015-06-10 16:54 ski Status assigned => resolved
2015-06-10 16:54 ski Steps to Reproduce Updated View Revisions
2015-06-29 10:25 abv Note Added: 0042522
2015-06-29 17:34 abv Note Added: 0042563
2015-06-30 16:24 git Note Added: 0042603
2015-06-30 18:28 git Note Added: 0042611
2015-07-01 11:29 git Note Added: 0042627
2015-07-01 15:50 git Note Added: 0042637
2015-07-01 17:43 git Note Added: 0042642
2015-07-01 17:43 git Note Added: 0042643
2015-07-01 17:44 git Note Added: 0042644
2015-07-02 20:06 git Note Added: 0042692
2015-07-06 08:02 git Note Added: 0042741
2015-07-07 13:56 git Note Added: 0042793
2015-07-14 11:50 abv Note Added: 0042995
2015-07-20 11:24 git Note Added: 0043178
2015-07-21 14:35 git Note Added: 0043224
2015-07-22 07:08 git Note Added: 0043251
2015-07-22 07:30 git Note Added: 0043255
2015-07-22 14:51 git Note Added: 0043292
2015-07-22 17:14 ibs Note Added: 0043319
2015-07-22 17:51 abv Note Added: 0043320
2015-07-23 12:01 git Note Added: 0043331
2015-07-23 17:59 git Note Added: 0043363
2015-07-23 18:01 git Note Added: 0043364
2015-07-24 08:51 git Note Added: 0043373
2015-07-28 12:06 git Note Added: 0043620
2015-07-30 17:55 git Note Added: 0043709
2015-07-31 13:02 git Note Added: 0043744
2015-07-31 13:05 git Note Added: 0043745
2015-07-31 17:21 git Note Added: 0043765
2015-08-05 16:17 git Note Added: 0043855
2015-08-05 16:34 git Note Added: 0043858
2015-08-06 17:27 git Note Added: 0043893
2015-08-10 10:55 git Note Added: 0043931
2015-08-10 14:55 git Note Added: 0043942
2015-08-11 17:13 ibs Relationship added related to 0026529
2015-08-11 17:39 git Note Added: 0043987
2015-08-11 17:53 git Note Added: 0043993
2015-08-12 14:54 git Note Added: 0044031
2015-08-12 16:19 git Note Added: 0044039
2015-08-12 17:06 git Note Added: 0044046
2015-08-12 17:33 git Note Added: 0044047
2015-08-12 18:00 git Note Added: 0044053
2015-08-12 18:10 git Note Added: 0044054
2015-08-12 19:10 git Note Added: 0044055
2015-08-12 19:23 git Note Added: 0044056
2015-08-13 07:43 git Note Added: 0044060
2015-08-13 12:04 git Note Added: 0044070
2015-08-13 14:37 git Note Added: 0044084
2015-08-13 15:11 git Note Added: 0044087
2015-08-13 16:27 git Note Added: 0044099
2015-08-13 19:45 git Note Added: 0044107
2015-08-14 14:32 git Note Added: 0044310
2015-08-14 16:03 git Note Added: 0044317
2015-08-14 17:31 git Note Added: 0044318
2015-08-14 17:34 git Note Added: 0044319
2015-08-14 17:48 git Note Added: 0044320
2015-08-14 17:54 git Note Added: 0044324
2015-08-14 18:23 git Note Added: 0044325
2015-08-14 20:15 git Note Added: 0044327
2015-08-14 23:50 git Note Added: 0044329
2015-08-17 11:11 git Note Added: 0044336
2015-08-17 11:14 git Note Added: 0044337
2015-08-17 12:36 git Note Added: 0044339
2015-08-17 16:41 git Note Added: 0044348
2015-08-17 17:20 git Note Added: 0044353
2015-08-17 17:57 git Note Added: 0044357
2015-08-18 10:22 git Note Added: 0044370
2015-08-18 10:52 git Note Added: 0044372
2015-08-18 12:35 git Note Added: 0044375
2015-08-18 15:01 git Note Added: 0044380
2015-08-18 15:20 abv Note Added: 0044381
2015-08-18 17:59 abv Note Added: 0044385
2015-08-18 17:59 abv Assigned To abv => bugmaster
2015-08-18 17:59 abv Status resolved => reviewed
2015-08-18 20:22 mkv Assigned To bugmaster => mkv
2015-08-18 21:14 mkv Note Added: 0044400
2015-08-18 21:14 mkv Assigned To mkv => abv
2015-08-18 21:14 mkv Status reviewed => assigned
2015-08-19 09:25 git Note Added: 0044405
2015-08-19 09:26 abv Note Added: 0044406
2015-08-19 09:26 abv Assigned To abv => bugmaster
2015-08-19 09:26 abv Status assigned => resolved
2015-08-19 09:32 abv Status resolved => reviewed
2015-08-19 14:24 mkv Assigned To bugmaster => mkv
2015-08-19 18:42 mkv Note Added: 0044446
2015-08-19 18:42 mkv Assigned To mkv => abv
2015-08-19 18:42 mkv Status reviewed => feedback
2015-08-19 18:42 mkv Test case number => Not needed
2015-08-19 19:03 git Note Added: 0044447
2015-08-19 19:04 abv Note Added: 0044448
2015-08-19 19:04 abv Status feedback => tested
2015-08-20 13:35 mkv Assigned To abv => bugmaster
2015-08-21 13:40 abv Changeset attached => occt master d1a67b9d
2015-08-21 13:40 abv Assigned To bugmaster => abv
2015-08-21 13:40 abv Status tested => verified
2015-08-21 13:40 abv Resolution open => fixed
2015-08-25 18:15 kgv Relationship added related to 0026602
2015-10-16 17:01 git Note Added: 0047112
2015-10-16 17:01 git Note Added: 0047113
2015-10-16 17:01 git Note Added: 0047114
2015-10-16 17:01 git Note Added: 0047115
2015-10-16 17:01 git Note Added: 0047116
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker